<?php
/**
 * @file Default Do hooks
 */

/**
 * Clear all caches
 * The simplest hook in the book
 */
function _do_flush() {
  cache_clear_all();
  return array('ok' => TRUE, 'msg' => t('Caches cleared'));
}

/**
 * Set an alias
 * @param string $alias
 * @param string $op
 */
function _do_alias($alias, $op) {
  $ok = _do_set_alias($op, $alias);
  $msg = $ok ? t('Alias created successfully!') : t('Error creating alias');
  return array('ok' => $ok, 'msg' => $msg);
}
